
Redmine - Patch #30276

Add missing fixtures to several tests

2018-12-26 05:21 - Yuichi HARADA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.1.0   

Description

Even with the same test, sometimes it may failure. I confirmed it with the following bash script.

for file in `find test -name "*.rb"`; do

  RAILS_ENV=test bundle exec rake db:reset

  bundle exec rake test TEST=$file

done

 The tests for which the fixture was missing were the following.

Test file Missing fixtures

test/unit/lib/redmine/field_format/version_field_format_test.rb :enabled_modules

test/unit/custom_field_test.rb :users

test/unit/journal_observer_test.rb :members, :member_roles

test/unit/project_copy_test.rb :attachments

test/unit/repository_test.rb :user_perferences, :watchers

test/functional/calendars_controller_test.rb :users, :email_addresses

test/functional/gantts_controller_test.rb :email_addresses

test/functional/news_controller_test.rb :user_perferences

I made a patch, and attach it.

Associated revisions

Revision 17780 - 2019-01-09 15:26 - Go MAEDA

Add missing fixtures to several tests (#30276).

Patch by Yuichi HARADA.

History

#1 - 2018-12-26 05:30 - Yuichi HARADA

P.S. Since I'm using SQLite, skipping tests specific to MySQL or PostgreSQL will be skipped.

#2 - 2018-12-26 06:35 - Yuichi HARADA

- File missing-fixtures-v2.patch added

I did not attach a test file to the patch.

Test file Missing fixtures

test/functional/welcome_controller_test.rb :roles, :member_roles, :enabled_modules

I rebuilt a patch.

Please delete the previous patch. (missing-fixtures.patch)
#3 - 2018-12-26 08:13 - Yuichi HARADA

- File missing-fixtures-v3.patch added

I added a test file to the patch again.

Test file Missing fixtures

test/functional/settings_controller_test.rb :email_addresses

Please delete the previous patch. (missing-fixtures-v2.patch)

#4 - 2018-12-27 05:56 - Marius BĂLTEANU

- File deleted (missing-fixtures-v2.patch)

#5 - 2018-12-27 05:57 - Marius BĂLTEANU

- File deleted (missing-fixtures.patch)

#6 - 2018-12-27 09:13 - Go MAEDA

- Category set to Code cleanup/refactoring

- Target version set to 4.1.0

Thank you for deeply investigating the issue. I confirmed that the patch fixes test failures.

Setting the target version to 4.1.0.

#7 - 2019-01-09 15:27 - Go MAEDA

- Subject changed from Test failure by missing fixtures to Add missing fixtures to several tests

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed. Thanks.

Files

missing-fixtures-v3.patch 8.67 KB 2018-12-26 Yuichi HARADA
